{pkgs, ...}: {
  home.packages = with pkgs; [
    imv
    obs-studio
    selectdefaultapplication
    easyeffects
    inkscape
    libsForQt5.okular
    pavucontrol
    qpwgraph
    element-desktop
    brave
    gimp
    quickemu
    bitwarden
    libsForQt5.kasts
    libreoffice
    logseq
    insomnia
    dbeaver
  ];

  gtk = {
    enable = true;
    iconTheme = {
      name = "Vimix-Doder";
      package = pkgs.vimix-icon-theme;
    };
    cursorTheme = {
      name = "Vanilla-DMZ";
      package = pkgs.vanilla-dmz;
      size = 24;
    };
    gtk3.bookmarks = [
      "file:///home/tristan/Documents"
      "file:///home/tristan/Pictures/Screenshots"
      "file:///home/tristan/Downloads"
    ];
  };

  programs.mpv.enable = true;
  programs.mpv.bindings = {
    l = "seek 5";
    h = "seek -5";
    e = "add chapter 1";
    b = "add chapter -1";
    ">" = "multiply speed 1.1";
    "<" = "multiply speed 1/1.1";
    "." = "frame-step";
    "," = "frame-back-step";
    "ctrl+n" = "playlist-next";
    "ctrl+p" = "playlist-prev";
    k = "add volume 2";
    j = "add volume -2";
    m = "cycle mute";
    c = "cycle sub-visibility";
  };
  programs.mpv.scripts = [
    pkgs.mpvScripts.mpris
  ];

  programs.librewolf.enable = true;

  programs.qutebrowser = {
    enable = true;
    searchEngines = {
      DEFAULT = "https://search.brave.com/search?q={}";
      w = "https://en.wikipedia.org/wiki/Special:Search?search={}&go=Go&ns0=1";
      aw = "https://wiki.archlinux.org/?search={}";
      nw = "https://nixos.wiki/index.php?search={}";
      nixpkgs = "https://search.nixos.org/packages?channel=unstable&query={}";
    };
    settings = {
      colors = {
        webpage.preferred_color_scheme = "dark";
      };
      tabs = {
        background = false;
        indicator.width = 0;
        favicons.scale = 2.0;
        position = "left";
        show = "always";
        width = 40;
      };
    };
    extraConfig = ''
      c.tabs.padding = {
        "bottom" : 10,
        "left" : 5,
        "right" : 5,
        "top" : 10
      }
    '';
  };
}
